-add jmx apis
-add mbean-descriptor.xml
-add server dtd
-monitoring interfaces


core depends on this module


TASKS

---------------------------------Pull commons modeler source from apache cvs
----------------------------------get build doc from arvi
-----------------------------------create dtd for descriptors
----------------------------------------create xml for descriptors
-implement mbean registry
-implement mbean registry entry
-mbean desciptor and instantiate that mbean
-instantiation of mbeans
-naming agent
-base classes
-utilities
-test programs 

-include jsr 77 classes
-lazy loading of mbeans.
-test with multiple mbeans
-write proper test cases
-TODO: implement "uncapitalize" and correct attributes for configbeans
-write method for mapping objectname to xpath
-

-add stats to mbeans



LATER_TASKS
-add jmxri into javax and remove lib from this module
-componentize and move around files to represent what it means



ISSUES:
-fix all FIXME, TODO, NYI, etc.
-configs (plurral) is an issue in generating xpaths. can we just have config*
-what is the purpose of type in commons modeler xml
-how to use 2 classes 1 for runtime and 1 for config
-add builder.initial property to system xml
-resolve JMX 1.2 RI bug.
-add enable/disable flag to mbean descriptions
-create a j2ee-mbean-descriptors and a base class that can initialize "j2ee.object.created" notification

-do we create 1 admin service or 1 for Instance and 1 for admin server
-do we create 1 mbean entry per mbean or 1 for config and 1 for runtime?

